@mixin inline-flex-row-center {
  display: inline-flex;
  align-items: center;
}

@mixin keyframes($name) {
  @-ms-keyframes #{$name} {
    @content;
  }

  @keyframes #{$name} {
    @content;
  }
}

@mixin cv-truncate-line {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

@mixin font($size: null, $line-height: null, $font-weight: null, $color: null) {
  font-size: $size;
  line-height: $line-height;
  font-weight: $font-weight;
  color: $color;
}

@mixin box-shadow($box-shadow-parameters...) {
  -webkit-box-shadow: $box-shadow-parameters;
  -moz-box-shadow: $box-shadow-parameters;
  box-shadow: $box-shadow-parameters;
}

@mixin background-text-color($bg, $color) {
  background-color: $bg;
  color: $color;
}

@mixin flex-row-center {
  display: flex;
  align-items: center;
}

@mixin width-height($width, $height) {
  width: $width;
  height: $height;
}

@mixin min-width-min-height($width, $height) {
  min-width: $width;
  min-height: $height;
}

@mixin position-absolute($top: null, $right: null, $bottom: null, $left: null) {
  position: absolute;
  top: $top;
  right: $right;
  bottom: $bottom;
  left: $left;
}

@mixin user-select($value) {
  -ms-user-select: $value;
  user-select: $value;
}

@mixin flex-column {
  display: flex;
  flex-direction: column;
}
